<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CS 250 Data Structures: cutest::TesterBase Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CS 250 Data Structures
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacecutest.html">cutest</a></li><li class="navelem"><a class="el" href="classcutest_1_1TesterBase.html">TesterBase</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classcutest_1_1TesterBase-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">cutest::TesterBase Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="TesterBase_8h_source.html">TesterBase.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for cutest::TesterBase:</div>
<div class="dyncontent">
<div class="center"><img src="classcutest_1_1TesterBase__inherit__graph.png" border="0" usemap="#cutest_1_1TesterBase_inherit__map" alt="Inheritance graph"/></div>
<map name="cutest_1_1TesterBase_inherit__map" id="cutest_1_1TesterBase_inherit__map">
<area shape="rect" title=" " alt="" coords="34,5,166,32"/>
<area shape="rect" href="classDataStructure_1_1BinarySearchTreeTester.html" title="TESTER for the BinarySearchTree." alt="" coords="5,80,195,121"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a907edcde638fd879184fd70711ae4c73"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a907edcde638fd879184fd70711ae4c73">TesterBase</a> ()</td></tr>
<tr class="separator:a907edcde638fd879184fd70711ae4c73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a886d8cf3bb10524720e5a2a253961d8f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a886d8cf3bb10524720e5a2a253961d8f">TesterBase</a> (std::string outputPath)</td></tr>
<tr class="separator:a886d8cf3bb10524720e5a2a253961d8f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34fb2259df98f192d24987a9d77fd474"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a34fb2259df98f192d24987a9d77fd474">~TesterBase</a> ()</td></tr>
<tr class="separator:a34fb2259df98f192d24987a9d77fd474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf0d997a156b3eac006fa1da284cdab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a0cf0d997a156b3eac006fa1da284cdab">Open</a> (std::string outputPath)</td></tr>
<tr class="separator:a0cf0d997a156b3eac006fa1da284cdab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807b7f3148f960090adf9b06691ad36f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a807b7f3148f960090adf9b06691ad36f">Close</a> ()</td></tr>
<tr class="separator:a807b7f3148f960090adf9b06691ad36f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57d575df572b5bc68ceaa20b58248601"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a57d575df572b5bc68ceaa20b58248601">Start</a> ()</td></tr>
<tr class="separator:a57d575df572b5bc68ceaa20b58248601"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59aabfa55e9c94a67db9008815552ea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a59aabfa55e9c94a67db9008815552ea8">AddTest</a> (const <a class="el" href="structcutest_1_1TestListItem.html">TestListItem</a> &amp;test)</td></tr>
<tr class="separator:a59aabfa55e9c94a67db9008815552ea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ab92cc52a34970b632d89f94b1028b611"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ab92cc52a34970b632d89f94b1028b611">OutputHeader</a> ()</td></tr>
<tr class="separator:ab92cc52a34970b632d89f94b1028b611"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42c09e9099428a44bcea1aa879cd3f3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a42c09e9099428a44bcea1aa879cd3f3c">OutputFooter</a> ()</td></tr>
<tr class="separator:a42c09e9099428a44bcea1aa879cd3f3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3599691dcc39bc3a1d88a3d829827f5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a3599691dcc39bc3a1d88a3d829827f5a">TestAll</a> ()</td></tr>
<tr class="separator:a3599691dcc39bc3a1d88a3d829827f5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acdc342d1235318358b4dcbf4e1998d96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#acdc342d1235318358b4dcbf4e1998d96">StartTestSet</a> (std::string name, const std::vector&lt; std::string &gt; &amp;prereqs)</td></tr>
<tr class="separator:acdc342d1235318358b4dcbf4e1998d96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83eb2955156253c450479f2fd87b2b55"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a83eb2955156253c450479f2fd87b2b55">FinishTestSet</a> ()</td></tr>
<tr class="separator:a83eb2955156253c450479f2fd87b2b55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff6571e45802dde0409b9015fb3ef246"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aff6571e45802dde0409b9015fb3ef246">FinishTest</a> ()</td></tr>
<tr class="separator:aff6571e45802dde0409b9015fb3ef246"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86f3624526b8c4c247c73ed8c1e3fa03"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a86f3624526b8c4c247c73ed8c1e3fa03">StartTest</a> (std::string description)</td></tr>
<tr class="separator:a86f3624526b8c4c247c73ed8c1e3fa03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94dfa0e49cfc880bd11173993ea7dec5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a94dfa0e49cfc880bd11173993ea7dec5">TestFail</a> ()</td></tr>
<tr class="separator:a94dfa0e49cfc880bd11173993ea7dec5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2244ba644dddff19ba13ce49f7a23345"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a2244ba644dddff19ba13ce49f7a23345">TestFail</a> (std::string message)</td></tr>
<tr class="separator:a2244ba644dddff19ba13ce49f7a23345"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab41a35b83bbf0558379d423e7d2af403"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ab41a35b83bbf0558379d423e7d2af403">TestPass</a> ()</td></tr>
<tr class="separator:ab41a35b83bbf0558379d423e7d2af403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e1b5bf933dd2f32d3466df3de930bf0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a0e1b5bf933dd2f32d3466df3de930bf0">DisplayTestInfo</a> ()</td></tr>
<tr class="separator:a0e1b5bf933dd2f32d3466df3de930bf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa78a394cce3a2adcd150d11faa55d118"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aa78a394cce3a2adcd150d11faa55d118">TestResult</a> ()</td></tr>
<tr class="separator:aa78a394cce3a2adcd150d11faa55d118"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46da069e735ffd9ca4c282f0fe4c53f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a46da069e735ffd9ca4c282f0fe4c53f5">PrereqTest_Success</a> (std::string functionName)</td></tr>
<tr class="separator:a46da069e735ffd9ca4c282f0fe4c53f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ee1512f79978d20592e4f5d55a06a81"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a4ee1512f79978d20592e4f5d55a06a81">PrereqTest_Abort</a> (std::string functionName)</td></tr>
<tr class="separator:a4ee1512f79978d20592e4f5d55a06a81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5549eece58c64c29b5d8ba10838cbf0b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a5549eece58c64c29b5d8ba10838cbf0b">PrintPwd</a> ()</td></tr>
<tr class="separator:a5549eece58c64c29b5d8ba10838cbf0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4aa4ac5e024ec3c580e4e5e760c6f1c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#af4aa4ac5e024ec3c580e4e5e760c6f1c">OpenTestResults</a> ()</td></tr>
<tr class="separator:af4aa4ac5e024ec3c580e4e5e760c6f1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba02d12966fce7a5f8333ef6d24d4629"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aba02d12966fce7a5f8333ef6d24d4629">Replace</a> (std::string fulltext, std::string findme, std::string replacewith)</td></tr>
<tr class="separator:aba02d12966fce7a5f8333ef6d24d4629"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace86d4c520fcaab05074a09d0cb351b2"><td class="memTemplParams" colspan="2">template&lt;typename T &gt; </td></tr>
<tr class="memitem:ace86d4c520fcaab05074a09d0cb351b2"><td class="memTemplItemLeft" align="right" valign="top">std::string&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ace86d4c520fcaab05074a09d0cb351b2">ToString</a> (const T &amp;value)</td></tr>
<tr class="separator:ace86d4c520fcaab05074a09d0cb351b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaab373185bcf34a7357bf635600c1d71"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aaab373185bcf34a7357bf635600c1d71">Theme_Reset</a> ()</td></tr>
<tr class="separator:aaab373185bcf34a7357bf635600c1d71"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a883c783d9c86350abd2a1b2acb171bbb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a883c783d9c86350abd2a1b2acb171bbb">Theme_Fail</a> ()</td></tr>
<tr class="separator:a883c783d9c86350abd2a1b2acb171bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76366f697d897d473b7f475c2246a12d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a76366f697d897d473b7f475c2246a12d">WriteoutRow</a> ()</td></tr>
<tr class="separator:a76366f697d897d473b7f475c2246a12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac57fc618dcaacd5c06f95849c6a8f5a1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ac57fc618dcaacd5c06f95849c6a8f5a1">WriteoutSummary</a> ()</td></tr>
<tr class="separator:ac57fc618dcaacd5c06f95849c6a8f5a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a13d4d3a4cf798252415a149233ca5e9a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a13d4d3a4cf798252415a149233ca5e9a">BeginTable</a> ()</td></tr>
<tr class="separator:a13d4d3a4cf798252415a149233ca5e9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa38b9f86c3e7e9e1ec0608b5f0fa9c30"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aa38b9f86c3e7e9e1ec0608b5f0fa9c30">EndTable</a> ()</td></tr>
<tr class="separator:aa38b9f86c3e7e9e1ec0608b5f0fa9c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a002a6954829497e474feefc575b2158d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a002a6954829497e474feefc575b2158d">Set_TestSet</a> (std::string value)</td></tr>
<tr class="separator:a002a6954829497e474feefc575b2158d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24ad3f6aee755e18a09fc1349ead1073"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a24ad3f6aee755e18a09fc1349ead1073">Set_TestName</a> (std::string value)</td></tr>
<tr class="separator:a24ad3f6aee755e18a09fc1349ead1073"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe7433b04976257c51f5305249e0a2f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#abe7433b04976257c51f5305249e0a2f8">Set_TestPrerequisites</a> (const std::vector&lt; std::string &gt; &amp;prereqs)</td></tr>
<tr class="separator:abe7433b04976257c51f5305249e0a2f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00d3074f4b2f6288ff9d34bb3bd72b84"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a00d3074f4b2f6288ff9d34bb3bd72b84">Set_Result</a> (bool passed)</td></tr>
<tr class="separator:a00d3074f4b2f6288ff9d34bb3bd72b84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde7d53ca5b396c9e42cde99b1caf973"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#abde7d53ca5b396c9e42cde99b1caf973">Set_ExpectedOutput</a> (std::string variable)</td></tr>
<tr class="separator:abde7d53ca5b396c9e42cde99b1caf973"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43213013467b680c5594943ea0226cd7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a43213013467b680c5594943ea0226cd7">Set_ExpectedOutput</a> (std::string variable, std::string value)</td></tr>
<tr class="separator:a43213013467b680c5594943ea0226cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accb6f9b93f9754562e310d945bfea9c4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#accb6f9b93f9754562e310d945bfea9c4">Set_ExpectedOutput</a> (std::string variable, int value)</td></tr>
<tr class="separator:accb6f9b93f9754562e310d945bfea9c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3352b266d3c4c349824ca87e94777cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ac3352b266d3c4c349824ca87e94777cf">Set_ExpectedOutput</a> (std::string variable, char value)</td></tr>
<tr class="separator:ac3352b266d3c4c349824ca87e94777cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af79fc004eb15a620cf979f80e8443549"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#af79fc004eb15a620cf979f80e8443549">Set_ExpectedOutput</a> (std::string variable, bool value)</td></tr>
<tr class="separator:af79fc004eb15a620cf979f80e8443549"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ab716aa244b87390df8dce64cb5bcb6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a1ab716aa244b87390df8dce64cb5bcb6">Set_ActualOutput</a> (std::string variable)</td></tr>
<tr class="separator:a1ab716aa244b87390df8dce64cb5bcb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac26f3a717d8c3420120c52d837c43534"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ac26f3a717d8c3420120c52d837c43534">Set_ActualOutput</a> (std::string variable, std::string value)</td></tr>
<tr class="separator:ac26f3a717d8c3420120c52d837c43534"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a09c5c22b767204e9f8e7426b54b996ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a09c5c22b767204e9f8e7426b54b996ad">Set_ActualOutput</a> (std::string variable, int value)</td></tr>
<tr class="separator:a09c5c22b767204e9f8e7426b54b996ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4226ba5180a15a79c6916d8bc0c1a393"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a4226ba5180a15a79c6916d8bc0c1a393">Set_ActualOutput</a> (std::string variable, char value)</td></tr>
<tr class="separator:a4226ba5180a15a79c6916d8bc0c1a393"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b0f6dacc180de6ccc41011591f5a067"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a3b0f6dacc180de6ccc41011591f5a067">Set_ActualOutput</a> (std::string variable, bool value)</td></tr>
<tr class="separator:a3b0f6dacc180de6ccc41011591f5a067"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a948d83847b23689dad6bd75ae53f9031"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a948d83847b23689dad6bd75ae53f9031">Set_Outputs</a> (std::string label, std::string expected, std::string actual)</td></tr>
<tr class="separator:a948d83847b23689dad6bd75ae53f9031"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96322fc3b349044aa70d7bc80613a3e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ae96322fc3b349044aa70d7bc80613a3e">Set_Outputs</a> (std::string label, int expected, int actual)</td></tr>
<tr class="separator:ae96322fc3b349044aa70d7bc80613a3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ee054513a506e879a18dbea44472cea"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a9ee054513a506e879a18dbea44472cea">Set_Outputs</a> (std::string label, char expected, char actual)</td></tr>
<tr class="separator:a9ee054513a506e879a18dbea44472cea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac621cfc55d2e9c837a092a6bcef9c6e7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ac621cfc55d2e9c837a092a6bcef9c6e7">Set_Outputs</a> (std::string label, bool expected, bool actual)</td></tr>
<tr class="separator:ac621cfc55d2e9c837a092a6bcef9c6e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a17af50b4608b77778eec9c8175ab7a29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a17af50b4608b77778eec9c8175ab7a29">Set_Comments</a> (std::string value)</td></tr>
<tr class="separator:a17af50b4608b77778eec9c8175ab7a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a3d18b7aa6657fbd058c773da92c6bc5e"><td class="memItemLeft" align="right" valign="top">std::list&lt; <a class="el" href="structcutest_1_1TestListItem.html">TestListItem</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a3d18b7aa6657fbd058c773da92c6bc5e">m_tests</a></td></tr>
<tr class="separator:a3d18b7aa6657fbd058c773da92c6bc5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a673458f837db08f7d9767455a1e60a29"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a673458f837db08f7d9767455a1e60a29">m_totalTestCount</a></td></tr>
<tr class="separator:a673458f837db08f7d9767455a1e60a29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa55d74be7a76b98a717b9393806027ad"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aa55d74be7a76b98a717b9393806027ad">m_totalTestPass</a></td></tr>
<tr class="separator:aa55d74be7a76b98a717b9393806027ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2d87dabac83fba41a3b2d25c9ac483d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#af2d87dabac83fba41a3b2d25c9ac483d">m_totalTestFail</a></td></tr>
<tr class="separator:af2d87dabac83fba41a3b2d25c9ac483d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2364a5efff3153a2f166065179d63478"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a2364a5efff3153a2f166065179d63478">m_subtest_totalTests</a></td></tr>
<tr class="separator:a2364a5efff3153a2f166065179d63478"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0269ace89547b86acd64f53ffe88231e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a0269ace89547b86acd64f53ffe88231e">m_subtest_totalPasses</a></td></tr>
<tr class="separator:a0269ace89547b86acd64f53ffe88231e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5dbd9af3ce837c26ea0de285476fb64c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a5dbd9af3ce837c26ea0de285476fb64c">m_subtest_name</a></td></tr>
<tr class="separator:a5dbd9af3ce837c26ea0de285476fb64c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a324f6a629b98f29de983c2494c31869c"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a324f6a629b98f29de983c2494c31869c">col_testSet</a></td></tr>
<tr class="separator:a324f6a629b98f29de983c2494c31869c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a267502551af7c3c6dbb9077a5e8221a2"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a267502551af7c3c6dbb9077a5e8221a2">col_testName</a></td></tr>
<tr class="separator:a267502551af7c3c6dbb9077a5e8221a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7ccbdebfd148c4ad96406d09cbb9501"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#ae7ccbdebfd148c4ad96406d09cbb9501">col_prerequisites</a></td></tr>
<tr class="separator:ae7ccbdebfd148c4ad96406d09cbb9501"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acfabbadffe99aa5ff4572b10c2f29f05"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#acfabbadffe99aa5ff4572b10c2f29f05">col_result</a></td></tr>
<tr class="separator:acfabbadffe99aa5ff4572b10c2f29f05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ab18e99bc6f581d8e6a95382a391c4f"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a3ab18e99bc6f581d8e6a95382a391c4f">col_expectedOutput</a></td></tr>
<tr class="separator:a3ab18e99bc6f581d8e6a95382a391c4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaad22c5d79980a4fe2323a174a0b5f20"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#aaad22c5d79980a4fe2323a174a0b5f20">col_actualOutput</a></td></tr>
<tr class="separator:aaad22c5d79980a4fe2323a174a0b5f20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a094cdd7adf042c6a0d582b8928c40853"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a094cdd7adf042c6a0d582b8928c40853">col_comments</a></td></tr>
<tr class="separator:a094cdd7adf042c6a0d582b8928c40853"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a687c86cdfaf16f2e0dc5425ccddc9ad7"><td class="memItemLeft" align="right" valign="top">std::ofstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a687c86cdfaf16f2e0dc5425ccddc9ad7">m_output</a></td></tr>
<tr class="separator:a687c86cdfaf16f2e0dc5425ccddc9ad7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3da63d6e5180c6cf9d9e738006de6701"><td class="memItemLeft" align="right" valign="top">std::ifstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a3da63d6e5180c6cf9d9e738006de6701">m_header</a></td></tr>
<tr class="separator:a3da63d6e5180c6cf9d9e738006de6701"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39a293affef911531e160129b0edc1d7"><td class="memItemLeft" align="right" valign="top">std::ifstream&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a39a293affef911531e160129b0edc1d7">m_footer</a></td></tr>
<tr class="separator:a39a293affef911531e160129b0edc1d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62e6b0f6f1011f1a64cafd00cebb2ddb"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a62e6b0f6f1011f1a64cafd00cebb2ddb">m_outputPath</a></td></tr>
<tr class="separator:a62e6b0f6f1011f1a64cafd00cebb2ddb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bda7f848a78688a4cf04b7a14d06ea9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classcutest_1_1TesterBase.html#a8bda7f848a78688a4cf04b7a14d06ea9">m_closed</a></td></tr>
<tr class="separator:a8bda7f848a78688a4cf04b7a14d06ea9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a907edcde638fd879184fd70711ae4c73"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a907edcde638fd879184fd70711ae4c73">&#9670;&nbsp;</a></span>TesterBase() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cutest::TesterBase::TesterBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a886d8cf3bb10524720e5a2a253961d8f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a886d8cf3bb10524720e5a2a253961d8f">&#9670;&nbsp;</a></span>TesterBase() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">cutest::TesterBase::TesterBase </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>outputPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a34fb2259df98f192d24987a9d77fd474"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34fb2259df98f192d24987a9d77fd474">&#9670;&nbsp;</a></span>~TesterBase()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">cutest::TesterBase::~TesterBase </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a59aabfa55e9c94a67db9008815552ea8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a59aabfa55e9c94a67db9008815552ea8">&#9670;&nbsp;</a></span>AddTest()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::AddTest </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structcutest_1_1TestListItem.html">TestListItem</a> &amp;&#160;</td>
          <td class="paramname"><em>test</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a13d4d3a4cf798252415a149233ca5e9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13d4d3a4cf798252415a149233ca5e9a">&#9670;&nbsp;</a></span>BeginTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::BeginTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a807b7f3148f960090adf9b06691ad36f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a807b7f3148f960090adf9b06691ad36f">&#9670;&nbsp;</a></span>Close()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a0e1b5bf933dd2f32d3466df3de930bf0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e1b5bf933dd2f32d3466df3de930bf0">&#9670;&nbsp;</a></span>DisplayTestInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::DisplayTestInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa38b9f86c3e7e9e1ec0608b5f0fa9c30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa38b9f86c3e7e9e1ec0608b5f0fa9c30">&#9670;&nbsp;</a></span>EndTable()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::EndTable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff6571e45802dde0409b9015fb3ef246"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff6571e45802dde0409b9015fb3ef246">&#9670;&nbsp;</a></span>FinishTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::FinishTest </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a83eb2955156253c450479f2fd87b2b55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83eb2955156253c450479f2fd87b2b55">&#9670;&nbsp;</a></span>FinishTestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::FinishTestSet </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0cf0d997a156b3eac006fa1da284cdab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0cf0d997a156b3eac006fa1da284cdab">&#9670;&nbsp;</a></span>Open()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Open </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>outputPath</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="af4aa4ac5e024ec3c580e4e5e760c6f1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af4aa4ac5e024ec3c580e4e5e760c6f1c">&#9670;&nbsp;</a></span>OpenTestResults()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::OpenTestResults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a42c09e9099428a44bcea1aa879cd3f3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42c09e9099428a44bcea1aa879cd3f3c">&#9670;&nbsp;</a></span>OutputFooter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::OutputFooter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab92cc52a34970b632d89f94b1028b611"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab92cc52a34970b632d89f94b1028b611">&#9670;&nbsp;</a></span>OutputHeader()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::OutputHeader </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4ee1512f79978d20592e4f5d55a06a81"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4ee1512f79978d20592e4f5d55a06a81">&#9670;&nbsp;</a></span>PrereqTest_Abort()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::PrereqTest_Abort </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>functionName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a46da069e735ffd9ca4c282f0fe4c53f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46da069e735ffd9ca4c282f0fe4c53f5">&#9670;&nbsp;</a></span>PrereqTest_Success()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::PrereqTest_Success </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>functionName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5549eece58c64c29b5d8ba10838cbf0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5549eece58c64c29b5d8ba10838cbf0b">&#9670;&nbsp;</a></span>PrintPwd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::PrintPwd </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aba02d12966fce7a5f8333ef6d24d4629"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aba02d12966fce7a5f8333ef6d24d4629">&#9670;&nbsp;</a></span>Replace()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::Replace </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>fulltext</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>findme</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>replacewith</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a1ab716aa244b87390df8dce64cb5bcb6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ab716aa244b87390df8dce64cb5bcb6">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3b0f6dacc180de6ccc41011591f5a067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b0f6dacc180de6ccc41011591f5a067">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a4226ba5180a15a79c6916d8bc0c1a393"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4226ba5180a15a79c6916d8bc0c1a393">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a09c5c22b767204e9f8e7426b54b996ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a09c5c22b767204e9f8e7426b54b996ad">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac26f3a717d8c3420120c52d837c43534"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac26f3a717d8c3420120c52d837c43534">&#9670;&nbsp;</a></span>Set_ActualOutput() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ActualOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a17af50b4608b77778eec9c8175ab7a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a17af50b4608b77778eec9c8175ab7a29">&#9670;&nbsp;</a></span>Set_Comments()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_Comments </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abde7d53ca5b396c9e42cde99b1caf973"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abde7d53ca5b396c9e42cde99b1caf973">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[1/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af79fc004eb15a620cf979f80e8443549"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af79fc004eb15a620cf979f80e8443549">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[2/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac3352b266d3c4c349824ca87e94777cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3352b266d3c4c349824ca87e94777cf">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[3/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="accb6f9b93f9754562e310d945bfea9c4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accb6f9b93f9754562e310d945bfea9c4">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[4/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a43213013467b680c5594943ea0226cd7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43213013467b680c5594943ea0226cd7">&#9670;&nbsp;</a></span>Set_ExpectedOutput() <span class="overload">[5/5]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_ExpectedOutput </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>variable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac621cfc55d2e9c837a092a6bcef9c6e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac621cfc55d2e9c837a092a6bcef9c6e7">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cutest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a9ee054513a506e879a18dbea44472cea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9ee054513a506e879a18dbea44472cea">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cutest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae96322fc3b349044aa70d7bc80613a3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae96322fc3b349044aa70d7bc80613a3e">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cutest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a948d83847b23689dad6bd75ae53f9031"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a948d83847b23689dad6bd75ae53f9031">&#9670;&nbsp;</a></span>Set_Outputs() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cutest::TesterBase::Set_Outputs </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>expected</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>actual</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a00d3074f4b2f6288ff9d34bb3bd72b84"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a00d3074f4b2f6288ff9d34bb3bd72b84">&#9670;&nbsp;</a></span>Set_Result()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_Result </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>passed</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a24ad3f6aee755e18a09fc1349ead1073"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a24ad3f6aee755e18a09fc1349ead1073">&#9670;&nbsp;</a></span>Set_TestName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_TestName </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="abe7433b04976257c51f5305249e0a2f8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe7433b04976257c51f5305249e0a2f8">&#9670;&nbsp;</a></span>Set_TestPrerequisites()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_TestPrerequisites </td>
          <td>(</td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>prereqs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a002a6954829497e474feefc575b2158d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a002a6954829497e474feefc575b2158d">&#9670;&nbsp;</a></span>Set_TestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Set_TestSet </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a57d575df572b5bc68ceaa20b58248601"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57d575df572b5bc68ceaa20b58248601">&#9670;&nbsp;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Start </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a86f3624526b8c4c247c73ed8c1e3fa03"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86f3624526b8c4c247c73ed8c1e3fa03">&#9670;&nbsp;</a></span>StartTest()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::StartTest </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>description</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acdc342d1235318358b4dcbf4e1998d96"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acdc342d1235318358b4dcbf4e1998d96">&#9670;&nbsp;</a></span>StartTestSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::StartTestSet </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::vector&lt; std::string &gt; &amp;&#160;</td>
          <td class="paramname"><em>prereqs</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3599691dcc39bc3a1d88a3d829827f5a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3599691dcc39bc3a1d88a3d829827f5a">&#9670;&nbsp;</a></span>TestAll()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::TestAll </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a94dfa0e49cfc880bd11173993ea7dec5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94dfa0e49cfc880bd11173993ea7dec5">&#9670;&nbsp;</a></span>TestFail() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::TestFail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2244ba644dddff19ba13ce49f7a23345"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2244ba644dddff19ba13ce49f7a23345">&#9670;&nbsp;</a></span>TestFail() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::TestFail </td>
          <td>(</td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>message</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ab41a35b83bbf0558379d423e7d2af403"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab41a35b83bbf0558379d423e7d2af403">&#9670;&nbsp;</a></span>TestPass()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::TestPass </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa78a394cce3a2adcd150d11faa55d118"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa78a394cce3a2adcd150d11faa55d118">&#9670;&nbsp;</a></span>TestResult()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::TestResult </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a883c783d9c86350abd2a1b2acb171bbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a883c783d9c86350abd2a1b2acb171bbb">&#9670;&nbsp;</a></span>Theme_Fail()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Theme_Fail </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aaab373185bcf34a7357bf635600c1d71"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaab373185bcf34a7357bf635600c1d71">&#9670;&nbsp;</a></span>Theme_Reset()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::Theme_Reset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ace86d4c520fcaab05074a09d0cb351b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace86d4c520fcaab05074a09d0cb351b2">&#9670;&nbsp;</a></span>ToString()</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::ToString </td>
          <td>(</td>
          <td class="paramtype">const T &amp;&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a76366f697d897d473b7f475c2246a12d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76366f697d897d473b7f475c2246a12d">&#9670;&nbsp;</a></span>WriteoutRow()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::WriteoutRow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac57fc618dcaacd5c06f95849c6a8f5a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac57fc618dcaacd5c06f95849c6a8f5a1">&#9670;&nbsp;</a></span>WriteoutSummary()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void cutest::TesterBase::WriteoutSummary </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="aaad22c5d79980a4fe2323a174a0b5f20"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaad22c5d79980a4fe2323a174a0b5f20">&#9670;&nbsp;</a></span>col_actualOutput</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_actualOutput</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a094cdd7adf042c6a0d582b8928c40853"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a094cdd7adf042c6a0d582b8928c40853">&#9670;&nbsp;</a></span>col_comments</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_comments</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ab18e99bc6f581d8e6a95382a391c4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ab18e99bc6f581d8e6a95382a391c4f">&#9670;&nbsp;</a></span>col_expectedOutput</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_expectedOutput</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ae7ccbdebfd148c4ad96406d09cbb9501"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7ccbdebfd148c4ad96406d09cbb9501">&#9670;&nbsp;</a></span>col_prerequisites</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_prerequisites</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acfabbadffe99aa5ff4572b10c2f29f05"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfabbadffe99aa5ff4572b10c2f29f05">&#9670;&nbsp;</a></span>col_result</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_result</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a267502551af7c3c6dbb9077a5e8221a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a267502551af7c3c6dbb9077a5e8221a2">&#9670;&nbsp;</a></span>col_testName</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_testName</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a324f6a629b98f29de983c2494c31869c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a324f6a629b98f29de983c2494c31869c">&#9670;&nbsp;</a></span>col_testSet</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::col_testSet</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a8bda7f848a78688a4cf04b7a14d06ea9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bda7f848a78688a4cf04b7a14d06ea9">&#9670;&nbsp;</a></span>m_closed</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool cutest::TesterBase::m_closed</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a39a293affef911531e160129b0edc1d7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a39a293affef911531e160129b0edc1d7">&#9670;&nbsp;</a></span>m_footer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ifstream cutest::TesterBase::m_footer</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3da63d6e5180c6cf9d9e738006de6701"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3da63d6e5180c6cf9d9e738006de6701">&#9670;&nbsp;</a></span>m_header</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ifstream cutest::TesterBase::m_header</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a687c86cdfaf16f2e0dc5425ccddc9ad7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a687c86cdfaf16f2e0dc5425ccddc9ad7">&#9670;&nbsp;</a></span>m_output</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::ofstream cutest::TesterBase::m_output</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a62e6b0f6f1011f1a64cafd00cebb2ddb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62e6b0f6f1011f1a64cafd00cebb2ddb">&#9670;&nbsp;</a></span>m_outputPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::m_outputPath</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5dbd9af3ce837c26ea0de285476fb64c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5dbd9af3ce837c26ea0de285476fb64c">&#9670;&nbsp;</a></span>m_subtest_name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::string cutest::TesterBase::m_subtest_name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a0269ace89547b86acd64f53ffe88231e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0269ace89547b86acd64f53ffe88231e">&#9670;&nbsp;</a></span>m_subtest_totalPasses</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::m_subtest_totalPasses</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a2364a5efff3153a2f166065179d63478"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2364a5efff3153a2f166065179d63478">&#9670;&nbsp;</a></span>m_subtest_totalTests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::m_subtest_totalTests</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3d18b7aa6657fbd058c773da92c6bc5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d18b7aa6657fbd058c773da92c6bc5e">&#9670;&nbsp;</a></span>m_tests</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::list&lt;<a class="el" href="structcutest_1_1TestListItem.html">TestListItem</a>&gt; cutest::TesterBase::m_tests</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a673458f837db08f7d9767455a1e60a29"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a673458f837db08f7d9767455a1e60a29">&#9670;&nbsp;</a></span>m_totalTestCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::m_totalTestCount</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="af2d87dabac83fba41a3b2d25c9ac483d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2d87dabac83fba41a3b2d25c9ac483d">&#9670;&nbsp;</a></span>m_totalTestFail</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::m_totalTestFail</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa55d74be7a76b98a717b9393806027ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa55d74be7a76b98a717b9393806027ad">&#9670;&nbsp;</a></span>m_totalTestPass</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int cutest::TesterBase::m_totalTestPass</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>CuTest/<a class="el" href="TesterBase_8h_source.html">TesterBase.h</a></li>
<li>CuTest/<a class="el" href="TesterBase_8cpp.html">TesterBase.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
